package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitFreePlan;
import com.ruoyi.system.domain.visit.VisitFreePlanExample;
import com.ruoyi.system.domain.visit.vo.VisitPlanSearchParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitFreePlanMapper {
    long countByExample(VisitFreePlanExample example);

    int deleteByExample(VisitFreePlanExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitFreePlan record);

    int insertSelective(VisitFreePlan record);

    List<VisitFreePlan> selectByExample(VisitFreePlanExample example);

    VisitFreePlan selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitFreePlan record, @Param("example") VisitFreePlanExample example);

    int updateByExample(@Param("record") VisitFreePlan record, @Param("example") VisitFreePlanExample example);

    int updateByPrimaryKeySelective(VisitFreePlan record);

    int updateByPrimaryKey(VisitFreePlan record);

    List<VisitFreePlan> listByParams(VisitPlanSearchParam param);
}